%{!?make_build:   %global make_build   make %{?_smp_mflags}}
%{!?make_install: %global make_install make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"}

Name:           bwping
Version:        2.5
Release:        0%{?dist}.1sunshine
Summary:        Measure bandwidth and response times between two hosts using ICMP

Group:          Applications/Internet
License:        BSD
URL:            https://bwping.sourceforge.io/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         bwping-2.4-autoconf.patch
BuildRequires:  gcc make
BuildRequires:  autoconf automake

%description
BWPing is a tool to measure bandwidth and response times between two hosts
using Internet Control Message Protocol (ICMP) echo request/echo reply
mechanism. It does not require any special software on the remote host. The
only requirement is the ability to respond on ICMP echo request messages.

%prep
%setup -q
%patch0 -p1 -b .autoconf


%build
autoreconf
%configure
%make_build


%install
%make_install


%files
%{!?_licensedir:%global license %%doc}
%doc AUTHORS README
%license COPYING
%{_sbindir}/%{name}
%{_sbindir}/%{name}6
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}6.8*


%changelog
* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 2.5-0.1sunshine
- update to 2.5

* Sun Jan 23 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 2.4-0.1sunshine
- update to 2.4
- add a patch to force compilation with C99 (for older compilers), and to
  quiet an autoconf warning

* Wed Aug 18 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 2.3-0.1sunshine
- update to 2.3

* Sun Feb 21 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 2.2-0.1sunshine
- update to 2.2

* Sun Oct 04 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 2.1-0.1sunshine
- update to 2.1

* Wed May 13 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 1.17-0.1sunshine
- update to 1.17

* Tue Dec 03 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.16-0.1sunshine
- update to 1.16

* Wed Jun 12 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.15-0.1sunshine
- update to 1.15
- drop all patches, they have gone upstream (one has been reverted though)

* Wed May 08 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.14-0.4sunshine
- use newer versions of the patches, fixing e.g. README

* Wed May 08 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.14-0.3sunshine
- add BR gcc

* Wed May 08 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.14-0.3sunshine
- add patches to unite binaries and man page
  (from https://github.com/barsnick/bwping/tree/deduplicate.01)
- call autoreconf because of patched autoconf files, and add BRs for it

* Wed May 08 2019 Moritz Barsnick <moritz+rpm@barsnick.net> 1.14-0.1sunshine
- update to 1.14
- fix summary (bz #564412#c1)
- new URL
- reformat description
- modernize spec, including use of more macros (with fallbacks)
- drop INSTALL from %%doc
- package IPv6 version

* Fri Feb 12 2010 Marek Mahut <mmahut@fedoraproject.org> 1.2-1
- Initial build
